# JBossEAP Puppet Module



====================



Puppet Module to download, extract & install jboss EAP GA 6.1.0 version.





# Module Description



--------



jbossEAP  puppet module manage to download jboss EAP GA  version 6.1.0 from a file share location, extract and finally start the jboss EAP GA 6.1.0 in standalone mode.
jboessEAP requires Java version 1.6 to execute and it has been included in the module.


# Usage



--------



Create a puppet manifest in the puppet master.


```sh

        include jbosseap

```

Retrieve the catalog changes from puppet agent in case if its manually configured or wait for the runtime interval configured in case if its automatically configured.

```sh
        sudo puppet agent -t -d
```

Restart the shell or terminal after jboss EAP package is installed. This will set the path of EAP_HOME in the default environment path variable.

```sh
          content => 'export EAP_HOME=/opt/jboss-eap-6.1'
```

The jboss EAP 6.1.0 Sever is started in the standalone mode and opens up the external port by the below start command in the init.pp file

```sh
        start  => '/opt/jboss-eap-6.1/bin/standalone.sh -bmanagement 0.0.0.0 &'
```

# Limitations

--------

- Tested on CentOS and Debian. To be tested on other flavors.
- The jboss EAP source location is taken from a file hosting share location. This location can be replaced by any jboss EAP file hosting paths. 

# Authors

--------

This module is based on work by Ben Nathan.



# Contact Information

--------

For any questions please get in touch with Ben Nathan (itzbenji@gmail.com)

